Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.singularsys.jep.misc.bitwise
Class BitwiseOperatorTable

    java.lang.Object
      com.singularsys.jep.OperatorTable2
          com.singularsys.jep.standard.StandardOperatorTable2
              com.singularsys.jep.misc.bitwise.BitwiseOperatorTable

All Implemented Interfaces:
  JepComponent, OperatorTableI, java.io.Serializable

Direct Known Subclasses:
  JavaOperatorTable

    public class BitwiseOperatorTable

extends StandardOperatorTable2

See Also:
  Serialized Form

Nested Class Summary
`static class` | `BitwiseOperatorTable.BitwiseOperators`

Nested classes/interfaces inherited from class com.singularsys.jep.OperatorTable2
`OperatorTable2.BasicOperators, OperatorTable2.OperatorKey, OperatorTable2.PsudoOperators, OperatorTable2.SpecialOperators`

Constructor Summary
`BitwiseOperatorTable(OperatorTable2 oldTable, java.lang.String powerSymbol, java.lang.String xorSymbol)`
`BitwiseOperatorTable(java.lang.String powerSymbol, java.lang.String xorSymbol)`

Method Summary
`protected void` | `addBitOperators(java.lang.String powerSymbol, java.lang.String xorSymbol)`
`Operator` | `getBitAnd()`
`Operator` | `getBitComp()`
`Operator` | `getBitOr()`
`Operator` | `getBitXor()`
`Operator` | `getLShift()`
`Operator` | `getRShift()`
`Operator` | `getURShift()`
`protected void` | `setBitPfmcs()`

Methods inherited from class com.singularsys.jep.standard.StandardOperatorTable2
`init, setBasicPfmcs, setPsudoPfmcs, setSpecialPfmcs`

Methods inherited from class com.singularsys.jep.OperatorTable2
`addOperator, addOperator, appendOperator, entrySet, getAdd, getAnd, getAssign, getCross, getDivide, getDot, getEle, getEQ, getGE, getGT, getKey, getLE, getLightWeightInstance, getList, getLT, getMod, getMultiply, getNE, getNop, getNot, getNumOps, getOperator, getOperators, getOperatorsByName, getOperatorsBySymbol, getOr, getPower, getRange, getSubtract, getUDivide, getUMinus, getUPlus, insertOperator, keySet, removeOperator, removeOperator, replaceOperator, replaceOperator, setBinaryInverseOp, setDistributiveOver, setInverseOp, setPrecedenceTable, setRootOp, setStandardOperatorRelations, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BitwiseOperatorTable

    public BitwiseOperatorTable(java.lang.String powerSymbol,
                                java.lang.String xorSymbol)

### BitwiseOperatorTable

    public BitwiseOperatorTable(OperatorTable2 oldTable,
                                java.lang.String powerSymbol,
                                java.lang.String xorSymbol)

Parameters:
  `oldTable` -

Method Detail

### addBitOperators

    protected void addBitOperators(java.lang.String powerSymbol,
                                   java.lang.String xorSymbol)

### setBitPfmcs

    protected void setBitPfmcs()

### getBitAnd

    public Operator getBitAnd()

### getBitOr

    public Operator getBitOr()

### getBitXor

    public Operator getBitXor()

### getBitComp

    public Operator getBitComp()

### getLShift

    public Operator getLShift()

### getRShift

    public Operator getRShift()

### getURShift

    public Operator getURShift()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Singular Systems http://www.singularsys.com/jep